Register a new Ethereum ERC-20 token in the virtual account

/v3/offchain/ethereum/erc20

This method is deprecated.
Use this method instead.


2 credits per API call.

First step to create new ERC20 token with given supply on Ethereum blockchain with support of Tatum's private ledger.
This method only creates Tatum Private ledger virtual currency with predefined parameters. It will not generate any blockchain smart contract.
The whole supply of ERC20 token is stored in the customer's newly created account. Then it is possible to create new Tatum accounts with ERC20 token name as account's currency.
Newly created account is frozen until the specific ERC20 smart contract address is linked with the Tatum virtual currency, representing the token.
Order of the steps to create ERC20 smart contract with Tatum private ledger support:

  1. Create ERC20 token - creates a virtual currency within Tatum
  2. Deploy ERC20 smart contract - create new ERC20 smart contract on the blockchain
  3. Store ERC20 smart contract address - link newly created ERC20 smart contract address with Tatum virtual currency - this operation enables frozen account and enables ledger synchronization for ERC20 Tatum accounts
There is a helper method Deploy Ethereum ERC20 Smart Contract to Blockchain and Ledger, which wraps first 2 steps into 1 method.
Address on the blockchain, where all initial supply will be transferred, can be defined via the address or xpub and derivationIndex. When xpub is present, the account connected to this virtualCurrency will be set as the account's xpub.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length between 1 and 30

The name of the token; used as an identifier within the Tatum platform and as a currency symbol on the blockchain
The token name that you specify here must be the same as the token name in the symbol parameter of the smart contract that you are going to deploy or have already deployed for this token.

string
required
length ≤ 38

The supply of the token

number
required
≥ 0

The number of decimal places that the token has

string
required
length between 1 and 100

The description of the token; used as a description within the Tatum platform and as a currency name on the blockchain

string
required
length between 1 and 150

The extended public key of the wallet from which a deposit address for the virtual account will be generated
NOTE: On Solana, you only can assign an existing address to the virtual account; use the Erc20Address schema of this API.

int32
required
≤ 2147483647

The derivation index to use together with the extended public key to generate the deposit address

string
enum
required

The base pair for the virtual currency that represents the token; used to calculate the value of a transaction

number
≥ 0
Defaults to 1

The exchange rate for the base pair; one unit of the created virtual currency equals 1 unit of basePair*baseRate

customer
object

If a customer with the specified external ID does not exist, a new customer is created. If a customer with the specified external ID exists, it is updated with the provided information.

string
enum
Defaults to USD

The ISO 4217 code of the currency in which all transactions for the created virtual account will be billed

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json